| Home | Libraries | People | FAQ | More

##### remove_erase_if

###### Prototype

    template<class Container, class Pred>
    Container& remove_erase_if(Container& target,
                               Pred pred);

###### Description

`remove_erase_if` removes the elements `x` that satisfy `pred(x)` from the container. This is in contrast to the `erase` algorithm which merely rearranges elements.

###### Definition

Defined in the header file `boost/range/algorithm_ext/erase.hpp`

###### Requirements

1. `Container` supports erase of an iterator range.
2. `Pred` is a model of the `Predicate` Concept.

###### Complexity

Linear. Proportional to `distance(target)`s.